/*
 * alias.java
 *
 * Created on December 6, 2002, 4:16 PM
 */

/**
 * <B>Class: alias</B><BR>
 *
 *  This object is really a record and may one day be incorporated into a tree.
 *  Currently this is only a means to capture host information for the system.
 *  It will hold the name of the host and the port to listen on. It won't hold
 *  alias information, although it may make sense to hold all the informaiton
 *  regarding a host in this record, it makes it more difficult to process
 *  in the main object.<BR>
 *
 * @author  viaggi@nietzsche.net
 */

public class alias{
        private String ivar_strHostName;
        private String ivar_strHostAlias;
        
        /** Name: alias
         * Desc: This function will return the alias of the host.
         * 
         * @return String --> the alias of the host
         */
        public String alias(){
            return ivar_strHostAlias;
        }
        
        /** Name: hostname
         * Desc: This function will return the host name.
         * 
         * @return String --> the host name of this object.
         */
        public String hostname(){
            return ivar_strHostName;
        }
        
        /** Name: alias
         * Desc: This is the only constructor for this object. There is currently
         * only one way to build this object and set it's instance variables and
         * that is to use the constructor method.
         * 
         * @param strHost --> String, the name of the host
         * @param strAlias --> String, the name of the alias
         */
         public alias(String strHost, String strAlias){

            ivar_strHostName = strHost;
            ivar_strHostAlias = strAlias;
            
         }
        
  }
