/*
 * host.java
 *
 * Created on December 6, 2002, 3:03 PM
 */

/**
 * <B>Class: host</B><BR>
 *
 *  This object is really a record and may one day be incorporated into a tree.
 *  Currently this is only a means to capture host information for the system.
 *  It will hold the name of the host and the port to listen on. It won't hold
 *  alias information, although it may make sense to hold all the informaiton
 *  regarding a host in this record, it makes it more difficult to process
 *  in the main object.
 *
 * @author  viaggi@nietzsche.net
 */

public class host{
        private String ivar_strHostName;
        private int ivar_intPort;
        
        /** Name: port
         * Desc: This function will return the port the host should listen on.
         * 
         * @return int --> the port to listen on
         */
        public int port(){
            return ivar_intPort;
        }
        
        /** Name: hostname
         * Desc: This function will return the host name.
         * 
         * @return String --> the host name of this object.
         */
        public String hostname(){
            return ivar_strHostName;
        }
        
        /** Name: host
         * Desc: This is the only constructor for this object. There is currently
         * only one way to build this object and set it's instance variables and
         * that is to use the constructor method.
         * 
         * @param strHost --> String, the name of the host
         * @param intNewPort --> int, the port to listen on
         */
         public host(String strHost, int intNewPort){

            ivar_strHostName = strHost;
            ivar_intPort = intNewPort;
            
         }
        
  }